Bug 246082 - www/py-djangorestframework36: Deprecate/Set to expire
Summary: www/py-djangorestframework36: Deprecate/Set to expire
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords: buildisok
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-05-01 10:30 UTC by Kai Knoblich
Modified: 2020-05-29 18:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (alfred)


Attachments
deprecate-py-djangorestframework36.patch (399 bytes, patch)
2020-05-01 10:30 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-05-01 10:30:17 UTC
Created attachment 213982 [details]
deprecate-py-djangorestframework36.patch

Hi,

attached is the patch that deprecates www/py-djangorestframework36 because it isn't compatible with Django 2.0+ and Django 1.11 is End-of-Life since April 2020.
Comment 1 Steve Wills freebsd_committer 2020-05-16 00:09:56 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/146600803
Comment 2 Kai Knoblich freebsd_committer 2020-05-20 08:18:02 UTC
Comment on attachment 213982 [details]
deprecate-py-djangorestframework36.patch

^ Triage: Set maintainer-approval to '+' due maintainer's timeout.
Comment 3 Kai Knoblich freebsd_committer 2020-05-20 08:21:12 UTC
This port might be used for www/seahub to make the transition from Django 1.11 to Django 2.2 somewhat easier (see review D24850).
Comment 4 commit-hook freebsd_committer 2020-05-29 15:08:56 UTC
A commit references this bug:

Author: kai
Date: Fri May 29 15:08:31 UTC 2020
New revision: 536975
URL: https://svnweb.freebsd.org/changeset/ports/536975

Log:
  www/py-djangorestframework36: Deprecate and set to expire

  * The 3.6.x release branch is not compatible with Django 2.0+ and the port
    is not required by any consumer.

  PR:		246082
  Approved by:	maintainer timeout (4 weeks)

Changes:
  head/www/py-djangorestframework36/Makefile
Comment 5 Kai Knoblich freebsd_committer 2020-05-29 18:56:08 UTC
During further progress in review D24850 it came to light that www/py-djangorestframework36 is too old for www/seahub. Hence it was marked as DEPRECATED and set to expired.